﻿Imports BenchmarkDotNet.Attributes
Imports Microsoft.EntityFrameworkCore


Public Class EfTest1

    <Benchmark>
    Public Sub EF_über_Entitys_mit_Tracking()
        Using ctx As New Context.PersonContext
            ctx.Person.Take(2000).AsTracking.Load
        End Using
    End Sub

    <Benchmark>
    Public Sub EF_über_Entitys_ohne_Tracking()
        Using ctx As New Context.PersonContext
            ctx.Person.Take(2000).AsNoTracking.Load
        End Using
    End Sub

    <Benchmark>
    Public Sub EF_über_ExecuteSql_mit_Tracking()
        Using ctx As New Context.PersonContext
            ctx.Person.FromSql("SELECT TOP 2000 * FROM Person").Load
        End Using
    End Sub

    <Benchmark>
    Public Sub EF_über_ExecuteSql_ohne_Tracking()
        Using ctx As New Context.PersonContext
            ctx.Person.FromSql("SELECT TOP 2000 * FROM Person").AsNoTracking.Load
        End Using
    End Sub



End Class
